# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-django-profile
%global upstream_name django-profile

%global vcsdate 20110216
%global vcstag r458
%global release 2
%global obs_ver 0.6-0.6.20090813svnr420

Name:           python-module-django-profile
Version:        0.6
Release:        alt1_0.2.20110216svnr458.1
Summary:        Django pluggable user profile zone

Group:          Development/Python
License:        BSD
URL:            http://code.google.com/p/django-profile/
# svn export -%%{vcstag} http://django-profile.googlecode.com/svn/trunk/ django-profile-%%{version}-%%{vcstag}
# tar zcf django-profile-%%{version}-%%{vcstag}.tar.gz django-profile-%%{version}-%%{vcstag}
Source:         %{upstream_name}-%{version}-%{vcstag}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-module-setuptools

Provides:       django-profile = %{version}-%{release}
Obsoletes:      django-profile <= %{obs_ver}
Source44: import.info

%description
This is a user private zone/profile management application, allowing
the user to take control of his account and insert information about
him in his profile.

Inside this package you will find a demo application which will show
you what can be accomplished with the rest of the utilities included
in the package.

%prep
%setup -q -n %{upstream_name}-%{version}-%{vcstag}
# this html file shouldn't be executable
chmod a-x userprofile/templates/userprofile/base_2col.html

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
%find_lang django
# remove useless django.po files
find $RPM_BUILD_ROOT -type f -name '*.po' -exec rm {} \;

%files -f django.lang
%doc INSTALL.txt CHANGELOG.txt LICENSE.txt README.txt TODO.txt demo/
%{python_sitelibdir_noarch}/userprofile-%{version}-py?.?.egg-info
%dir %{python_sitelibdir_noarch}/userprofile
%{python_sitelibdir_noarch}/userprofile/*.py*
%{python_sitelibdir_noarch}/userprofile/templates
%{python_sitelibdir_noarch}/userprofile/templatetags
%{python_sitelibdir_noarch}/userprofile/urls
# own the whole locale directory hierarchy
%dir %{python_sitelibdir_noarch}/userprofile/locale/
%dir %{python_sitelibdir_noarch}/userprofile/locale/*/
%dir %{python_sitelibdir_noarch}/userprofile/locale/*/*/
%exclude %{python_sitelibdir_noarch}/demo

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.6-alt1_0.2.20110216svnr458.1
- update to new release by fcimport

* Tue Jan 01 2013 Igor Vlasenko <viy@altlinux.ru> 0.6-alt1_0.1.20110216svnr458
- initial fc import

